libpam-mysql_0.7~RC1-4+b3_amd64.deb


Advertisement

Description

libpam-mysql - PAM module allowing authentication from a MySQL server

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libpam-mysql
Package version 0.7~RC1
Package release 4+b3
Package architecture amd64
Package type deb
Installed size 59 B
Download size 33.45 KB
Official Mirror ftp.br.debian.org
This module lets you use a MySQL database as a source of
authentication (but not session or other) information for PAM-enabled
apps.

Alternatives

Package Version Architecture Repository
libpam-mysql_0.7~RC1-4+b3_i386.deb 0.7~RC1 i386 Debian Main
libpam-mysql - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
libc6 >= 2.2.5
libmysqlclient18 >= 5.5.24+dfsg-1
libpam0g >= 0.99.7.1

Download

Type URL
Binary Package libpam-mysql_0.7~RC1-4+b3_amd64.deb
Source Package pam-mysql

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-mysql deb package:
    # sudo apt-get install libpam-mysql

Files

Path
/etc/pam-mysql.conf
/lib/security/pam_mysql.so
/usr/share/doc/libpam-mysql/CREDITS
/usr/share/doc/libpam-mysql/NEWS.gz
/usr/share/doc/libpam-mysql/README.Debian
/usr/share/doc/libpam-mysql/README.gz
/usr/share/doc/libpam-mysql/TODO.Debian
/usr/share/doc/libpam-mysql/changelog.Debian.gz
/usr/share/doc/libpam-mysql/changelog.gz
/usr/share/doc/libpam-mysql/copyright

Changelog

2009-01-30 - Lars Bahner <bahner@debian.org>
pam-mysql (0.7~RC1-4) unstable; urgency=low
* Set bogus passwd in pam_mysql.conf so that root won't be able to
log as root without password
* Added patch to link against libpam. (closes: #418500). Kudos to
Christian Hammers for patch
2009-01-26 - Lars Bahner <bahner@debian.org>
pam-mysql (0.7~RC1-3) experimental; urgency=low
* debconf
* more cleanup
* added -f switch to rm in rules (closes: #490772) 
* New version fixes bugs (closes: #367535, #368653, #238478)
2009-01-26 - Lars Bahner <bahner@debian.org>
pam-mysql (0.7~RC1-2) experimental; urgency=low
* Bumped license to GPL-3 explicitly.
* Cleaned up packaging a bit
* Added conffile /etc/libpam-mysql.conf
2009-01-25 - Lars Bahner <bahner@debian.org>
pam-mysql (0.7~RC1-1) experimental; urgency=low
* Added myself as uploader after request from Pawel.
* New upstream version (closes: #389347)
* Added patch to build with openssl (closes: #373834, #495532)
* Version 0.7 uses external config.file (closes: #297930
2006-04-21 - Paweł Więcek <coven@debian.org>
pam-mysql (0.6.2-1) unstable; urgency=high
* New upstream version (closes: #332714, #353589, #307861, #292097)
* Severity high because it fixes critical vulnerabilities (CVE-2005-4713,
CVE-2006-0056)
* Rebuilt against libmysqlclient15 (closes: #356745)
* Updated standards version and debhelper compatibility level
2005-05-18 - Pawel Wiecek <coven@debian.org>
pam-mysql (0.5.0-7) unstable; urgency=low
* Added patch from Magnus Holmgren <holmgren@lysator.liu.se> to fix behavior
when NULL passwords are used (closes: #297819)
* Rebuilt agains libmysqlclient12
2004-06-08 - Pawel Wiecek <coven@debian.org>
pam-mysql (0.5.0-6) unstable; urgency=low
* Added patch by Kees Cook taken from from sf.net patch tracker and
adapted by Thomas Viehmann.
* Link against libpam. (Closes: #245790)
* Added -fno-strict-aliasing to CFLAGS.
2004-03-09 - Pawel Wiecek <coven@debian.org>
pam-mysql (0.5.0-5) unstable; urgency=low
* Added patch from Lehel Bernadt <lehel@pmc-services.hu> to allow
specification of mysql port (closes: #233813)
2004-01-22 - Pawel Wiecek <coven@debian.org>
pam-mysql (0.5.0-4) unstable; urgency=low
* Workaround a problem with crypt() calls (closes: #223486)
* Switched to off by default and documented MySQL logging (closes: #197028)
2003-10-14 - Pawel Wiecek <coven@debian.org>
pam-mysql (0.5.0-3) unstable; urgency=low
* Applied patch from Christian Hammers <ch@debian.org> to fix maximum
database name string length (closes: #201261)
* Updated standards version (no changes required)

See Also

Package Description
libpam-ncp_2.2.6-9_amd64.deb PAM module allowing authentication from a NetWare server
libpam-nufw_2.4.3-2.2_amd64.deb The authenticating firewall [PAM module]
libpam-oath_1.12.4-1_amd64.deb OATH Toolkit libpam_oath PAM module
libpam-ocaml-dev_1.1-4+b3_amd64.deb OCaml bindings for the PAM library (development files)
libpam-ocaml_1.1-4+b3_amd64.deb OCaml bindings for the PAM library (runtime)
libpam-openafs-kaserver_1.6.1-3+deb7u5_amd64.deb AFS distributed filesystem kaserver PAM module
libpam-otpw_1.3-2_amd64.deb Use OTPW for PAM authentication
libpam-p11_0.1.5-2_amd64.deb PAM module for using PKCS#11 smart cards
libpam-passwdqc_1.2.0-1_amd64.deb PAM module for password strength policy enforcement
libpam-pgsql_0.7.3.1-4_amd64.deb PAM module to authenticate using a PostgreSQL database
libpam-pkcs11_0.6.8-1_amd64.deb Fully featured PAM module for using for using PKCS#11 smart cards
libpam-poldi_0.4.1-2.1_amd64.deb PAM module allowing authentication using a OpenPGP smartcard
libpam-pwdfile_0.99-5_amd64.deb PAM module allowing authentication via an /etc/passwd-like file
libpam-python-doc_1.0.2-1_all.deb Documentation for the bindings provided by libpam-python
libpam-python_1.0.2-1_amd64.deb Enables PAM modules to be written in Python
Advertisement
Advertisement